# Uses of Interface
org.opensaml.messaging.error.TypedMessageErrorHandler

Packages that use TypedMessageErrorHandler
Package
Description
org.opensaml.messaging.handler.impl
Implementations of message context handlers.
org.opensaml.soap.soap11.messaging.impl
SOAP messaging support implementations.

## Uses of TypedMessageErrorHandler in org.opensaml.messaging.handler.impl

Fields in org.opensaml.messaging.handler.impl with type parameters of type TypedMessageErrorHandler
Modifier and Type
Field
Description
`private List<TypedMessageErrorHandler>`
MessageHandlerErrorStrategyAdapter.`errorHandlers`
The list of typed error handlers.
Constructor parameters in org.opensaml.messaging.handler.impl with type arguments of type TypedMessageErrorHandler
Modifier
Constructor
Description
``
`MessageHandlerErrorStrategyAdapter(MessageHandler messageHandler, List<TypedMessageErrorHandler> typedErrorHandlers)`
Constructor.

## Uses of TypedMessageErrorHandler in org.opensaml.soap.soap11.messaging.impl

Classes in org.opensaml.soap.soap11.messaging.impl that implement TypedMessageErrorHandler
Modifier and Type
Class
Description
`class`
`SOAP11FaultContextDecoratingErrorHandler`
An implementation of `TypedMessageErrorHandler` which simply decorates the supplied `MessageContext` with a `Fault` and optionally a WS-Addressing Action URI.